Page MenuHomeFreeBSD

lang/ruby25: parse.y (assignable_gen): should return valid NODE always even on errors.
ClosedPublic

Authored by ml_vishwin.info on Jan 27 2018, 3:44 PM.

Details

Summary

Bug and patches originally obtained from upstream. Additional patches were "manually" generated when ruby's build system detected changes in the initial files patched.

Fixes a crash when installing/staging certain gems, for which in a portbuild situation, the build fails during stage. See bug 225470 for a partial trace of ruby25 segfaulting on devel/rubygem-ffi.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat edited reviewers, added: swills; removed: portmgr.Jan 29 2018, 11:35 AM

Regenerate with devel/arcanist

This revision was not accepted when it landed; it landed in state Needs Review.Feb 16 2018, 3:11 AM
Closed by commit rP461970: lang/ruby25: apply upstream patch to fix segfault (authored by swills, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.